@import "../variables.color/variables.color.scss";
@import "../variables.color/variables.fonts.scss";
@import "../variables.color/variables.mixins.scss";
@import "../button.styles.scss/Button.styles.scss";

.main-partner {
  background-color: $white;
  min-height: 100vh;
  font-family: $users-main;
  &-container {
    @include max-width;
    padding-top: 7em;
    min-height: 100vh;
    @include respondTo(wide-phones) {
      padding: 0;
    }
    @include respondTo(phones) {
      padding: 0;
      margin: 0;
    }
    h2 {
      @include section-title;
      color: $users-main;
      @include respondTo(phones) {
        padding: 1em 0 0;
        margin: 0;
        text-align: center;
      }
      @include respondTo(wide-phones) {
        padding: 1em 0 0;
        margin: 0;
        text-align: center;
      }
    }
    &-content {
      margin: 3em 0 0;
      display: flex;
      justify-content: space-between;
      @include respondTo(xlg-desktops) {
        margin: 1em 0;
      }
      @include respondTo(lg-desktops) {
        margin: 1em 0;
      }
      @include respondTo(small-desktops) {
        margin: 1em 2em;
      }
      @include respondTo(phones) {
        background-color: $white;
        margin: 1em;
        border-radius: 4px;
      }

      @include respondTo(wide-phones) {
        background-color: $white;
        margin: 1em;
        border-radius: 4px;
      }

      .partners-list {
        min-width: 27%;
        margin-right: 2%;
        &-item {
          border-radius: 4px;
          margin-bottom: 0.7em;
          font-weight: 500;
          cursor: pointer;
          &-button {
            padding: 0.7em 1.5em;
            width: 100%;
            height: 100%;
            border-radius: 4px;
            border: none;
            background: none;
            display: flex;
            border: 2px solid $light-grey;
            line-height: 2em;            
            &-name {
              color: $users-slogan;
              font-weight: 500;
            }
          }
          &-image {
            height: 2em;
            width: 2em;
            margin-right: 1.5em;
            img {
              width: 100%;
            }
          }
        }
        .active {
          background-color: $users-main;
          color: $white;
        }
      }

      .single-partner {
        border: 2px solid $light-grey;
        border-radius: 4px;
        min-width: 71%;
        min-height: 50vh;
        display: flex;
        &-image {
          min-width: 20%;
          height: 100%;
          border-right: 2px solid $light-grey;
          display: flex;
          align-items: center;
          justify-content: center;
          img {
            width: 100%;
          }
        }
        &-content {
          padding: 1.8em;
          font-weight: 400;
          h3 {
            color: $users-slogan;
            font-weight: 500;
            margin-bottom: 0.5em;
          }
          &-desc {
            @include renderHtmlAllZero;
            font-weight: 500;
          }
          &-street {
            margin: 0.5em 0;
          }
          &-zip {
            margin-right: 0.3em;
          }
          &-mail,
          &-website {
            display: block;
            margin: 0.5em 0;
          }
        }
      }
    }

    // .button {
    //   display: flex;
    //   justify-content: center;
    //   margin: 4em 0 1em;
    //   button {
    //     @include users-btn-main;
    //   }
    // }
  }
}
